com.threerings.puzzle.client

## Interface PuzzleGameService

All Superinterfaces:
  com.threerings.presents.data.InvocationCodes, com.threerings.presents.client.InvocationService, PuzzleCodes

All Known Implementing Classes:
  PuzzleGameMarshaller

    public interface PuzzleGameService
    extends com.threerings.presents.client.InvocationService, PuzzleCodes

Provides services used by puzzle game clients to request that actions be taken by the puzzle manager.

### Nested Class Summary

### Nested classes/interfaces inherited from interface com.threerings.presents.client.InvocationService

`com.threerings.presents.client.InvocationService.ConfirmListener, com.threerings.presents.client.InvocationService.InvocationListener, com.threerings.presents.client.InvocationService.ResultListener`

### Field Summary

### Fields inherited from interface com.threerings.puzzle.data.PuzzleCodes

`DEBUG_PUZZLE, DEFAULT_DIFFICULTY, PUZZLE_MESSAGE_BUNDLE`

### Fields inherited from interface com.threerings.presents.data.InvocationCodes

`ACCESS_DENIED, E_ACCESS_DENIED, E_INTERNAL_ERROR, GLOBAL_GROUP, INTERNAL_ERROR`

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `updateProgress(int sessionId, int[] events)` Asks the puzzle manager to apply the supplied progress events for the specified puzzle round to the player's state.
`void` `updateProgressSync(int sessionId, int[] events, Board[] states)` Debug variant of `updateProgress(int, int[])` that is only used when `PuzzlePanel.isSyncingBoards()` is true and which includes the board states associated with each event.

### Method Detail

#### updateProgress

    void updateProgress(int sessionId,
                        int[] events)

Asks the puzzle manager to apply the supplied progress events for the specified puzzle round to the player's state.

#### updateProgressSync

    void updateProgressSync(int sessionId,
                            int[] events,
                            Board[] states)

Debug variant of `updateProgress(int, int[])` that is only used when `PuzzlePanel.isSyncingBoards()` is true and which includes the board states associated with each event.